<div>
    <div class="head">
        <div class="row">
            <div class="col s6">
                <img class="responsive-img" style="width: 250px;" src="assets/logo.png" />
                <br> <b style="color: white;">Usuario: </b> <span style="color: white;">{{user.email}}</span>

            </div>
            <div class="col s6" class="logout">
                <a (click)="logout()">Salir</a>
            </div>
        </div>

    </div>

    <div id="cards-extended">

        <div class="row">
            <div class="col s12 m3">

            </div>
            <div class="col s12 m2">
                <div (click)="openTransaction(1)" style="cursor: pointer;" class="card gradient-shadow gradient-45deg-light-blue-cyan border-radius-3">
                    <div class="card-content center">
                        <img src="assets/deposito.png" alt="images" class="width-40" />
                        <p class="white-text lighten-4">Depósito</p>
                    </div>
                </div>
            </div>
            <div class="col s12 m2">
                <div (click)="openTransaction(2)" style="cursor: pointer;" class="card gradient-shadow gradient-45deg-red-pink border-radius-3">
                    <div class="card-content center">
                        <img src="assets/retiro.png" alt="images" class="width-40" />
                        <p class="white-text lighten-4">Retiro</p>
                    </div>
                </div>
            </div>
            <div class="col s12 m2">
                <div (click)="openNewAccount()" style="cursor: pointer;" class="card gradient-shadow gradient-45deg-amber-amber border-radius-3">
                    <div class="card-content center">
                        <img src="assets/nueva.png" alt="images" class="width-40" />
                        <p class="white-text lighten-4">Cuenta nueva</p>
                    </div>
                </div>
            </div>

            <div class="col s12 m3">

            </div>
        </div>
    </div>

    &nbsp; Cuentas
    <hr>

    <div class="row">
        <div *ngFor="let account of accounts" class="col s12 m4" title="Da click para ver historial" (click)="openReport(account)">
            <div class="card  border-radius-3">
                <div class="card-content center" style="height: 100px !important; cursor: pointer;">
                    <div class="col s12" style="text-align: left;">
                        <b>Cuenta: {{account.numeroCuenta}}</b>
                    </div>

                    <div class="col s12" style="text-align: right;">
                        <b style="font-size: xx-large;">{{account.saldo | currency:'MXN'}}</b>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>


<div id="newAccount" class="modal">
    <div class="modal-content">
        <form [formGroup]="newAccountGroup">

            <div class="col s12" style="text-align: center;">
                Nueva cuenta de ahorro
            </div>
            <hr>
            <div>
                <table>
                    <tr>
                        <td>
                            Fecha:
                        </td>
                        <td>
                            {{newAccount?.fechaUltimaAct}}
                        </td>

                    </tr>
                    <tr>
                        <td>
                            Cliente:
                        </td>
                        <td>
                            {{newAccount?.idCliente}}
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Cuenta:
                        </td>
                        <td>
                            {{newAccount?.numeroCuenta}}
                        </td>
                    </tr>
                    <tr>

                        <td>
                            Saldo:
                        </td>
                        <td>
                            <input id="number" type="number" formControlName="saldo">
                        </td>
                    </tr>
                </table>


            </div>

        </form>
    </div>
    <div class="modal-footer">
        <a class="modal-close waves-effect waves-green btn-flat">Cancelar</a>
        <a class="waves-effect waves-green btn-flat" (click)="createAccount()">Aceptar</a>

    </div>
</div>


<div id="transaction" class="modal">
    <div class="modal-content">
        <form [formGroup]="transactionGroup">

            <div *ngIf="typeTransaction ==1" class="col s12" style="text-align: center;">
                Depósito
            </div>

            <div *ngIf="typeTransaction ==2" class="col s12" style="text-align: center;">
                Retiro
            </div>

            <hr>

            <table>
                <tr>
                    <td>
                        Elige una cuenta:
                    </td>
                    <td>
                        <select [ngClass]="{'focus': transactionGroup.get('numeroCuenta').touched && transactionGroup.get('numeroCuenta').invalid }" formControlName="numeroCuenta" class="browser-default" name="accounts" id="accounts">
                            <option *ngFor="let account of accounts" [value]="account.numeroCuenta">{{account.numeroCuenta}}</option>
                        </select>

                    </td>

                </tr>
                <tr>
                    <td>
                        Terminal:
                    </td>
                    <td>
                        <input [ngClass]="{'focus': transactionGroup.get('terminal').touched && transactionGroup.get('terminal').invalid }" id="number" type="text" formControlName="terminal">

                    </td>
                </tr>

                <tr>
                    <td>
                        Monto:
                    </td>
                    <td>
                        <input [ngClass]="{'focus': transactionGroup.get('monto').touched && transactionGroup.get('monto').invalid }" id="number" type="number" formControlName="monto">

                    </td>
                </tr>
            </table>




        </form>
    </div>
    <div class="modal-footer">
        <a class="modal-close waves-effect waves-green btn-flat">Cancelar</a>
        <button (click)="newTransaction()" class="waves-effect waves-green btn-flat" [disabled]="transactionGroup.invalid">Aceptar</button>

    </div>
</div>

<div id="report" class="modal" style="width: 50% !important ;">
    <div class="modal-content">
        <div class="row">
            <div class="col s12">
                <b> Numero de cuenta:</b> {{currentAcount?.numeroCuenta}}
            </div>
            <div class="col s4">
                <b> Saldo inicial:</b> {{currentAcount?.saldoInicial | currency: "MXN"}}
            </div>

            <div class="col s4">
                <b> Fecha de creación:</b> {{currentAcount?.fechaUltimaAct}}
            </div>


            <div class="col s4">
                <b> Estado:</b> {{currentAcount?.estado}}
            </div>
        </div>
        <hr>
        <br>
        <table>

            <thead>
                <tr>
                    <th>
                        Tipo
                    </th>
                    <th>
                        Fecha
                    </th>
                    <th>
                        Terminal
                    </th>
                    <th>
                        Monto
                    </th>
                </tr>
            </thead>

            <tbody>
                <tr *ngFor="let transaction of currentTransactions">
                    <td>
                        {{transaction.tipo}}
                    </td>
                    <td>
                        {{transaction.fechaUltimaAct}}
                    </td>
                    <td>
                        {{transaction.terminal}}
                    </td>
                    <td *ngIf="transaction.tipo =='Deposito'" style="color: green;">
                        + {{transaction.monto |currency: "MXN"}}
                    </td>
                    <td *ngIf="transaction.tipo =='Retiro'" style="color: red;">
                        - {{transaction.monto |currency: "MXN"}}
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td></td>
                    <td> Saldo total: </td>
                    <td style="color: blue;">
                        {{currentAcount?.saldo | currency: "MXN"}}
                    </td>
                </tr>
            </tbody>


        </table>
    </div>
    <div class="modal-footer">
        <a class="modal-close waves-effect waves-green btn-flat">Cerrar</a>
    </div>
</div>